Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network88.4.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
88.4.0.0
Broadcast address
88.5.255.255
First usable
88.4.0.1
Last usable
88.5.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 58040000 · Integer 1476657152 to 1476788223
Reverse DNS zones
4.88.in-addr.arpa
5.88.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011000.00000100.00000000.0000000088.4.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01011000.00000100.00000000.0000000088.4.0.0
Broadcast01011000.00000101.11111111.1111111188.5.255.255
Split into smaller subnets/23

88.4.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
188.4.0.0/2388.4.0.1 to 88.4.1.25488.4.1.255510
288.4.2.0/2388.4.2.1 to 88.4.3.25488.4.3.255510
388.4.4.0/2388.4.4.1 to 88.4.5.25488.4.5.255510
488.4.6.0/2388.4.6.1 to 88.4.7.25488.4.7.255510
588.4.8.0/2388.4.8.1 to 88.4.9.25488.4.9.255510
688.4.10.0/2388.4.10.1 to 88.4.11.25488.4.11.255510
788.4.12.0/2388.4.12.1 to 88.4.13.25488.4.13.255510
888.4.14.0/2388.4.14.1 to 88.4.15.25488.4.15.255510
988.4.16.0/2388.4.16.1 to 88.4.17.25488.4.17.255510
1088.4.18.0/2388.4.18.1 to 88.4.19.25488.4.19.255510
1188.4.20.0/2388.4.20.1 to 88.4.21.25488.4.21.255510
1288.4.22.0/2388.4.22.1 to 88.4.23.25488.4.23.255510
1388.4.24.0/2388.4.24.1 to 88.4.25.25488.4.25.255510
1488.4.26.0/2388.4.26.1 to 88.4.27.25488.4.27.255510
1588.4.28.0/2388.4.28.1 to 88.4.29.25488.4.29.255510
1688.4.30.0/2388.4.30.1 to 88.4.31.25488.4.31.255510
1788.4.32.0/2388.4.32.1 to 88.4.33.25488.4.33.255510
1888.4.34.0/2388.4.34.1 to 88.4.35.25488.4.35.255510
1988.4.36.0/2388.4.36.1 to 88.4.37.25488.4.37.255510
2088.4.38.0/2388.4.38.1 to 88.4.39.25488.4.39.255510
2188.4.40.0/2388.4.40.1 to 88.4.41.25488.4.41.255510
2288.4.42.0/2388.4.42.1 to 88.4.43.25488.4.43.255510
2388.4.44.0/2388.4.44.1 to 88.4.45.25488.4.45.255510
2488.4.46.0/2388.4.46.1 to 88.4.47.25488.4.47.255510
2588.4.48.0/2388.4.48.1 to 88.4.49.25488.4.49.255510
2688.4.50.0/2388.4.50.1 to 88.4.51.25488.4.51.255510
2788.4.52.0/2388.4.52.1 to 88.4.53.25488.4.53.255510
2888.4.54.0/2388.4.54.1 to 88.4.55.25488.4.55.255510
2988.4.56.0/2388.4.56.1 to 88.4.57.25488.4.57.255510
3088.4.58.0/2388.4.58.1 to 88.4.59.25488.4.59.255510
3188.4.60.0/2388.4.60.1 to 88.4.61.25488.4.61.255510
3288.4.62.0/2388.4.62.1 to 88.4.63.25488.4.63.255510
3388.4.64.0/2388.4.64.1 to 88.4.65.25488.4.65.255510
3488.4.66.0/2388.4.66.1 to 88.4.67.25488.4.67.255510
3588.4.68.0/2388.4.68.1 to 88.4.69.25488.4.69.255510
3688.4.70.0/2388.4.70.1 to 88.4.71.25488.4.71.255510
3788.4.72.0/2388.4.72.1 to 88.4.73.25488.4.73.255510
3888.4.74.0/2388.4.74.1 to 88.4.75.25488.4.75.255510
3988.4.76.0/2388.4.76.1 to 88.4.77.25488.4.77.255510
4088.4.78.0/2388.4.78.1 to 88.4.79.25488.4.79.255510
4188.4.80.0/2388.4.80.1 to 88.4.81.25488.4.81.255510
4288.4.82.0/2388.4.82.1 to 88.4.83.25488.4.83.255510
4388.4.84.0/2388.4.84.1 to 88.4.85.25488.4.85.255510
4488.4.86.0/2388.4.86.1 to 88.4.87.25488.4.87.255510
4588.4.88.0/2388.4.88.1 to 88.4.89.25488.4.89.255510
4688.4.90.0/2388.4.90.1 to 88.4.91.25488.4.91.255510
4788.4.92.0/2388.4.92.1 to 88.4.93.25488.4.93.255510
4888.4.94.0/2388.4.94.1 to 88.4.95.25488.4.95.255510
4988.4.96.0/2388.4.96.1 to 88.4.97.25488.4.97.255510
5088.4.98.0/2388.4.98.1 to 88.4.99.25488.4.99.255510
5188.4.100.0/2388.4.100.1 to 88.4.101.25488.4.101.255510
5288.4.102.0/2388.4.102.1 to 88.4.103.25488.4.103.255510
5388.4.104.0/2388.4.104.1 to 88.4.105.25488.4.105.255510
5488.4.106.0/2388.4.106.1 to 88.4.107.25488.4.107.255510
5588.4.108.0/2388.4.108.1 to 88.4.109.25488.4.109.255510
5688.4.110.0/2388.4.110.1 to 88.4.111.25488.4.111.255510
5788.4.112.0/2388.4.112.1 to 88.4.113.25488.4.113.255510
5888.4.114.0/2388.4.114.1 to 88.4.115.25488.4.115.255510
5988.4.116.0/2388.4.116.1 to 88.4.117.25488.4.117.255510
6088.4.118.0/2388.4.118.1 to 88.4.119.25488.4.119.255510
6188.4.120.0/2388.4.120.1 to 88.4.121.25488.4.121.255510
6288.4.122.0/2388.4.122.1 to 88.4.123.25488.4.123.255510
6388.4.124.0/2388.4.124.1 to 88.4.125.25488.4.125.255510
6488.4.126.0/2388.4.126.1 to 88.4.127.25488.4.127.255510
6588.4.128.0/2388.4.128.1 to 88.4.129.25488.4.129.255510
6688.4.130.0/2388.4.130.1 to 88.4.131.25488.4.131.255510
6788.4.132.0/2388.4.132.1 to 88.4.133.25488.4.133.255510
6888.4.134.0/2388.4.134.1 to 88.4.135.25488.4.135.255510
6988.4.136.0/2388.4.136.1 to 88.4.137.25488.4.137.255510
7088.4.138.0/2388.4.138.1 to 88.4.139.25488.4.139.255510
7188.4.140.0/2388.4.140.1 to 88.4.141.25488.4.141.255510
7288.4.142.0/2388.4.142.1 to 88.4.143.25488.4.143.255510
7388.4.144.0/2388.4.144.1 to 88.4.145.25488.4.145.255510
7488.4.146.0/2388.4.146.1 to 88.4.147.25488.4.147.255510
7588.4.148.0/2388.4.148.1 to 88.4.149.25488.4.149.255510
7688.4.150.0/2388.4.150.1 to 88.4.151.25488.4.151.255510
7788.4.152.0/2388.4.152.1 to 88.4.153.25488.4.153.255510
7888.4.154.0/2388.4.154.1 to 88.4.155.25488.4.155.255510
7988.4.156.0/2388.4.156.1 to 88.4.157.25488.4.157.255510
8088.4.158.0/2388.4.158.1 to 88.4.159.25488.4.159.255510
8188.4.160.0/2388.4.160.1 to 88.4.161.25488.4.161.255510
8288.4.162.0/2388.4.162.1 to 88.4.163.25488.4.163.255510
8388.4.164.0/2388.4.164.1 to 88.4.165.25488.4.165.255510
8488.4.166.0/2388.4.166.1 to 88.4.167.25488.4.167.255510
8588.4.168.0/2388.4.168.1 to 88.4.169.25488.4.169.255510
8688.4.170.0/2388.4.170.1 to 88.4.171.25488.4.171.255510
8788.4.172.0/2388.4.172.1 to 88.4.173.25488.4.173.255510
8888.4.174.0/2388.4.174.1 to 88.4.175.25488.4.175.255510
8988.4.176.0/2388.4.176.1 to 88.4.177.25488.4.177.255510
9088.4.178.0/2388.4.178.1 to 88.4.179.25488.4.179.255510
9188.4.180.0/2388.4.180.1 to 88.4.181.25488.4.181.255510
9288.4.182.0/2388.4.182.1 to 88.4.183.25488.4.183.255510
9388.4.184.0/2388.4.184.1 to 88.4.185.25488.4.185.255510
9488.4.186.0/2388.4.186.1 to 88.4.187.25488.4.187.255510
9588.4.188.0/2388.4.188.1 to 88.4.189.25488.4.189.255510
9688.4.190.0/2388.4.190.1 to 88.4.191.25488.4.191.255510
9788.4.192.0/2388.4.192.1 to 88.4.193.25488.4.193.255510
9888.4.194.0/2388.4.194.1 to 88.4.195.25488.4.195.255510
9988.4.196.0/2388.4.196.1 to 88.4.197.25488.4.197.255510
10088.4.198.0/2388.4.198.1 to 88.4.199.25488.4.199.255510
10188.4.200.0/2388.4.200.1 to 88.4.201.25488.4.201.255510
10288.4.202.0/2388.4.202.1 to 88.4.203.25488.4.203.255510
10388.4.204.0/2388.4.204.1 to 88.4.205.25488.4.205.255510
10488.4.206.0/2388.4.206.1 to 88.4.207.25488.4.207.255510
10588.4.208.0/2388.4.208.1 to 88.4.209.25488.4.209.255510
10688.4.210.0/2388.4.210.1 to 88.4.211.25488.4.211.255510
10788.4.212.0/2388.4.212.1 to 88.4.213.25488.4.213.255510
10888.4.214.0/2388.4.214.1 to 88.4.215.25488.4.215.255510
10988.4.216.0/2388.4.216.1 to 88.4.217.25488.4.217.255510
11088.4.218.0/2388.4.218.1 to 88.4.219.25488.4.219.255510
11188.4.220.0/2388.4.220.1 to 88.4.221.25488.4.221.255510
11288.4.222.0/2388.4.222.1 to 88.4.223.25488.4.223.255510
11388.4.224.0/2388.4.224.1 to 88.4.225.25488.4.225.255510
11488.4.226.0/2388.4.226.1 to 88.4.227.25488.4.227.255510
11588.4.228.0/2388.4.228.1 to 88.4.229.25488.4.229.255510
11688.4.230.0/2388.4.230.1 to 88.4.231.25488.4.231.255510
11788.4.232.0/2388.4.232.1 to 88.4.233.25488.4.233.255510
11888.4.234.0/2388.4.234.1 to 88.4.235.25488.4.235.255510
11988.4.236.0/2388.4.236.1 to 88.4.237.25488.4.237.255510
12088.4.238.0/2388.4.238.1 to 88.4.239.25488.4.239.255510
12188.4.240.0/2388.4.240.1 to 88.4.241.25488.4.241.255510
12288.4.242.0/2388.4.242.1 to 88.4.243.25488.4.243.255510
12388.4.244.0/2388.4.244.1 to 88.4.245.25488.4.245.255510
12488.4.246.0/2388.4.246.1 to 88.4.247.25488.4.247.255510
12588.4.248.0/2388.4.248.1 to 88.4.249.25488.4.249.255510
12688.4.250.0/2388.4.250.1 to 88.4.251.25488.4.251.255510
12788.4.252.0/2388.4.252.1 to 88.4.253.25488.4.253.255510
12888.4.254.0/2388.4.254.1 to 88.4.255.25488.4.255.255510
12988.5.0.0/2388.5.0.1 to 88.5.1.25488.5.1.255510
13088.5.2.0/2388.5.2.1 to 88.5.3.25488.5.3.255510
13188.5.4.0/2388.5.4.1 to 88.5.5.25488.5.5.255510
13288.5.6.0/2388.5.6.1 to 88.5.7.25488.5.7.255510
13388.5.8.0/2388.5.8.1 to 88.5.9.25488.5.9.255510
13488.5.10.0/2388.5.10.1 to 88.5.11.25488.5.11.255510
13588.5.12.0/2388.5.12.1 to 88.5.13.25488.5.13.255510
13688.5.14.0/2388.5.14.1 to 88.5.15.25488.5.15.255510
13788.5.16.0/2388.5.16.1 to 88.5.17.25488.5.17.255510
13888.5.18.0/2388.5.18.1 to 88.5.19.25488.5.19.255510
13988.5.20.0/2388.5.20.1 to 88.5.21.25488.5.21.255510
14088.5.22.0/2388.5.22.1 to 88.5.23.25488.5.23.255510
14188.5.24.0/2388.5.24.1 to 88.5.25.25488.5.25.255510
14288.5.26.0/2388.5.26.1 to 88.5.27.25488.5.27.255510
14388.5.28.0/2388.5.28.1 to 88.5.29.25488.5.29.255510
14488.5.30.0/2388.5.30.1 to 88.5.31.25488.5.31.255510
14588.5.32.0/2388.5.32.1 to 88.5.33.25488.5.33.255510
14688.5.34.0/2388.5.34.1 to 88.5.35.25488.5.35.255510
14788.5.36.0/2388.5.36.1 to 88.5.37.25488.5.37.255510
14888.5.38.0/2388.5.38.1 to 88.5.39.25488.5.39.255510
14988.5.40.0/2388.5.40.1 to 88.5.41.25488.5.41.255510
15088.5.42.0/2388.5.42.1 to 88.5.43.25488.5.43.255510
15188.5.44.0/2388.5.44.1 to 88.5.45.25488.5.45.255510
15288.5.46.0/2388.5.46.1 to 88.5.47.25488.5.47.255510
15388.5.48.0/2388.5.48.1 to 88.5.49.25488.5.49.255510
15488.5.50.0/2388.5.50.1 to 88.5.51.25488.5.51.255510
15588.5.52.0/2388.5.52.1 to 88.5.53.25488.5.53.255510
15688.5.54.0/2388.5.54.1 to 88.5.55.25488.5.55.255510
15788.5.56.0/2388.5.56.1 to 88.5.57.25488.5.57.255510
15888.5.58.0/2388.5.58.1 to 88.5.59.25488.5.59.255510
15988.5.60.0/2388.5.60.1 to 88.5.61.25488.5.61.255510
16088.5.62.0/2388.5.62.1 to 88.5.63.25488.5.63.255510
16188.5.64.0/2388.5.64.1 to 88.5.65.25488.5.65.255510
16288.5.66.0/2388.5.66.1 to 88.5.67.25488.5.67.255510
16388.5.68.0/2388.5.68.1 to 88.5.69.25488.5.69.255510
16488.5.70.0/2388.5.70.1 to 88.5.71.25488.5.71.255510
16588.5.72.0/2388.5.72.1 to 88.5.73.25488.5.73.255510
16688.5.74.0/2388.5.74.1 to 88.5.75.25488.5.75.255510
16788.5.76.0/2388.5.76.1 to 88.5.77.25488.5.77.255510
16888.5.78.0/2388.5.78.1 to 88.5.79.25488.5.79.255510
16988.5.80.0/2388.5.80.1 to 88.5.81.25488.5.81.255510
17088.5.82.0/2388.5.82.1 to 88.5.83.25488.5.83.255510
17188.5.84.0/2388.5.84.1 to 88.5.85.25488.5.85.255510
17288.5.86.0/2388.5.86.1 to 88.5.87.25488.5.87.255510
17388.5.88.0/2388.5.88.1 to 88.5.89.25488.5.89.255510
17488.5.90.0/2388.5.90.1 to 88.5.91.25488.5.91.255510
17588.5.92.0/2388.5.92.1 to 88.5.93.25488.5.93.255510
17688.5.94.0/2388.5.94.1 to 88.5.95.25488.5.95.255510
17788.5.96.0/2388.5.96.1 to 88.5.97.25488.5.97.255510
17888.5.98.0/2388.5.98.1 to 88.5.99.25488.5.99.255510
17988.5.100.0/2388.5.100.1 to 88.5.101.25488.5.101.255510
18088.5.102.0/2388.5.102.1 to 88.5.103.25488.5.103.255510
18188.5.104.0/2388.5.104.1 to 88.5.105.25488.5.105.255510
18288.5.106.0/2388.5.106.1 to 88.5.107.25488.5.107.255510
18388.5.108.0/2388.5.108.1 to 88.5.109.25488.5.109.255510
18488.5.110.0/2388.5.110.1 to 88.5.111.25488.5.111.255510
18588.5.112.0/2388.5.112.1 to 88.5.113.25488.5.113.255510
18688.5.114.0/2388.5.114.1 to 88.5.115.25488.5.115.255510
18788.5.116.0/2388.5.116.1 to 88.5.117.25488.5.117.255510
18888.5.118.0/2388.5.118.1 to 88.5.119.25488.5.119.255510
18988.5.120.0/2388.5.120.1 to 88.5.121.25488.5.121.255510
19088.5.122.0/2388.5.122.1 to 88.5.123.25488.5.123.255510
19188.5.124.0/2388.5.124.1 to 88.5.125.25488.5.125.255510
19288.5.126.0/2388.5.126.1 to 88.5.127.25488.5.127.255510
19388.5.128.0/2388.5.128.1 to 88.5.129.25488.5.129.255510
19488.5.130.0/2388.5.130.1 to 88.5.131.25488.5.131.255510
19588.5.132.0/2388.5.132.1 to 88.5.133.25488.5.133.255510
19688.5.134.0/2388.5.134.1 to 88.5.135.25488.5.135.255510
19788.5.136.0/2388.5.136.1 to 88.5.137.25488.5.137.255510
19888.5.138.0/2388.5.138.1 to 88.5.139.25488.5.139.255510
19988.5.140.0/2388.5.140.1 to 88.5.141.25488.5.141.255510
20088.5.142.0/2388.5.142.1 to 88.5.143.25488.5.143.255510
20188.5.144.0/2388.5.144.1 to 88.5.145.25488.5.145.255510
20288.5.146.0/2388.5.146.1 to 88.5.147.25488.5.147.255510
20388.5.148.0/2388.5.148.1 to 88.5.149.25488.5.149.255510
20488.5.150.0/2388.5.150.1 to 88.5.151.25488.5.151.255510
20588.5.152.0/2388.5.152.1 to 88.5.153.25488.5.153.255510
20688.5.154.0/2388.5.154.1 to 88.5.155.25488.5.155.255510
20788.5.156.0/2388.5.156.1 to 88.5.157.25488.5.157.255510
20888.5.158.0/2388.5.158.1 to 88.5.159.25488.5.159.255510
20988.5.160.0/2388.5.160.1 to 88.5.161.25488.5.161.255510
21088.5.162.0/2388.5.162.1 to 88.5.163.25488.5.163.255510
21188.5.164.0/2388.5.164.1 to 88.5.165.25488.5.165.255510
21288.5.166.0/2388.5.166.1 to 88.5.167.25488.5.167.255510
21388.5.168.0/2388.5.168.1 to 88.5.169.25488.5.169.255510
21488.5.170.0/2388.5.170.1 to 88.5.171.25488.5.171.255510
21588.5.172.0/2388.5.172.1 to 88.5.173.25488.5.173.255510
21688.5.174.0/2388.5.174.1 to 88.5.175.25488.5.175.255510
21788.5.176.0/2388.5.176.1 to 88.5.177.25488.5.177.255510
21888.5.178.0/2388.5.178.1 to 88.5.179.25488.5.179.255510
21988.5.180.0/2388.5.180.1 to 88.5.181.25488.5.181.255510
22088.5.182.0/2388.5.182.1 to 88.5.183.25488.5.183.255510
22188.5.184.0/2388.5.184.1 to 88.5.185.25488.5.185.255510
22288.5.186.0/2388.5.186.1 to 88.5.187.25488.5.187.255510
22388.5.188.0/2388.5.188.1 to 88.5.189.25488.5.189.255510
22488.5.190.0/2388.5.190.1 to 88.5.191.25488.5.191.255510
22588.5.192.0/2388.5.192.1 to 88.5.193.25488.5.193.255510
22688.5.194.0/2388.5.194.1 to 88.5.195.25488.5.195.255510
22788.5.196.0/2388.5.196.1 to 88.5.197.25488.5.197.255510
22888.5.198.0/2388.5.198.1 to 88.5.199.25488.5.199.255510
22988.5.200.0/2388.5.200.1 to 88.5.201.25488.5.201.255510
23088.5.202.0/2388.5.202.1 to 88.5.203.25488.5.203.255510
23188.5.204.0/2388.5.204.1 to 88.5.205.25488.5.205.255510
23288.5.206.0/2388.5.206.1 to 88.5.207.25488.5.207.255510
23388.5.208.0/2388.5.208.1 to 88.5.209.25488.5.209.255510
23488.5.210.0/2388.5.210.1 to 88.5.211.25488.5.211.255510
23588.5.212.0/2388.5.212.1 to 88.5.213.25488.5.213.255510
23688.5.214.0/2388.5.214.1 to 88.5.215.25488.5.215.255510
23788.5.216.0/2388.5.216.1 to 88.5.217.25488.5.217.255510
23888.5.218.0/2388.5.218.1 to 88.5.219.25488.5.219.255510
23988.5.220.0/2388.5.220.1 to 88.5.221.25488.5.221.255510
24088.5.222.0/2388.5.222.1 to 88.5.223.25488.5.223.255510
24188.5.224.0/2388.5.224.1 to 88.5.225.25488.5.225.255510
24288.5.226.0/2388.5.226.1 to 88.5.227.25488.5.227.255510
24388.5.228.0/2388.5.228.1 to 88.5.229.25488.5.229.255510
24488.5.230.0/2388.5.230.1 to 88.5.231.25488.5.231.255510
24588.5.232.0/2388.5.232.1 to 88.5.233.25488.5.233.255510
24688.5.234.0/2388.5.234.1 to 88.5.235.25488.5.235.255510
24788.5.236.0/2388.5.236.1 to 88.5.237.25488.5.237.255510
24888.5.238.0/2388.5.238.1 to 88.5.239.25488.5.239.255510
24988.5.240.0/2388.5.240.1 to 88.5.241.25488.5.241.255510
25088.5.242.0/2388.5.242.1 to 88.5.243.25488.5.243.255510
25188.5.244.0/2388.5.244.1 to 88.5.245.25488.5.245.255510
25288.5.246.0/2388.5.246.1 to 88.5.247.25488.5.247.255510
25388.5.248.0/2388.5.248.1 to 88.5.249.25488.5.249.255510
25488.5.250.0/2388.5.250.1 to 88.5.251.25488.5.251.255510
25588.5.252.0/2388.5.252.1 to 88.5.253.25488.5.253.255510
25688.5.254.0/2388.5.254.1 to 88.5.255.25488.5.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses